$schema: "http://json-schema.org/draft-06/schema#"

title: compute beta AdvancedMachineFeatures export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  enableNestedVirtualization:
    description: |-
      Whether to enable nested virtualization or not (default is false).
    type: boolean
  threadsPerCore:
    description: |-
      The number of threads per physical core. To disable simultaneous
      multithreading (SMT) set this to 1. If unset, the maximum number of
      threads supported per core by the underlying processor is assumed.
    type: integer
  visibleCoreCount:
    description: |-
      The number of physical cores to expose to the instance's guest operating
      system. The number of virtual CPUs visible to the instance's guest
      operating system is this number of cores multiplied by the instance's
      count of visible threads per physical core.
    type: integer
  performanceMonitoringUnit:
    description: |-
      The set of performance measurement counters to enable for the instance.
    type: string
    enum:
    - ARCHITECTURAL
    - STANDARD
    - ENHANCED
